Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.enhance
Interface DynamicStorage

    public interface DynamicStorage

Interface for dynamically generated classes. Certain getters/setters may either return null or throw an exception depending on the `DynamicStorageGenerator`'s field policy.

Since:
  0.3.2.0
Author:
  Steve Kim

Method Summary
`boolean` | `getBoolean(int field)` Get the boolean at the given index.
`byte` | `getByte(int field)` Get the byte at the given index.
`char` | `getChar(int field)` Get the char at the given index.
`double` | `getDouble(int field)` Get the double at the given index.
`int` | `getFieldCount()` Return the number of fields, regardless of type
`float` | `getFloat(int field)` Get the float at the given index.
`int` | `getInt(int field)` Get the int at the given index.
`long` | `getLong(int field)` Get the long at the given index.
`Object` | `getObject(int field)` Get the object at the given index.
`int` | `getObjectCount()` Return the number of object fields
`short` | `getShort(int field)` Get the short at the given index.
`void` | `initialize()` Ensure object capacity
`DynamicStorage` | `newInstance()` Factory method for getting new instances of the same definition.
`void` | `setBoolean(int field, boolean val)` Set the boolean at the given index.
`void` | `setByte(int field, byte val)` Set the byte at the given index.
`void` | `setChar(int field, char val)` Set the char at the given index.
`void` | `setDouble(int field, double val)` Set the double at the given index.
`void` | `setFloat(int field, float val)` Set the float at the given index.
`void` | `setInt(int field, int val)` Set the int at the given index.
`void` | `setLong(int field, long val)` Set the long at the given index.
`void` | `setObject(int field, Object val)` Set the object at the given index.
`void` | `setShort(int field, short val)` Set the short at the given index.

Method Detail

### getFieldCount

    int getFieldCount()

  Return the number of fields, regardless of type

### getObjectCount

    int getObjectCount()

  Return the number of object fields

### newInstance

    DynamicStorage newInstance()

  Factory method for getting new instances of the same definition.

### getBoolean

    boolean getBoolean(int field)

  Get the boolean at the given index.

### setBoolean

    void setBoolean(int field,
                    boolean val)

  Set the boolean at the given index.

### getByte

    byte getByte(int field)

  Get the byte at the given index.

### setByte

    void setByte(int field,
                 byte val)

  Set the byte at the given index.

### getChar

    char getChar(int field)

  Get the char at the given index.

### setChar

    void setChar(int field,
                 char val)

  Set the char at the given index.

### getDouble

    double getDouble(int field)

  Get the double at the given index.

### setDouble

    void setDouble(int field,
                   double val)

  Set the double at the given index.

### getFloat

    float getFloat(int field)

  Get the float at the given index.

### setFloat

    void setFloat(int field,
                  float val)

  Set the float at the given index.

### getInt

    int getInt(int field)

  Get the int at the given index.

### setInt

    void setInt(int field,
                int val)

  Set the int at the given index.

### getLong

    long getLong(int field)

  Get the long at the given index.

### setLong

    void setLong(int field,
                 long val)

  Set the long at the given index.

### getShort

    short getShort(int field)

  Get the short at the given index.

### setShort

    void setShort(int field,
                  short val)

  Set the short at the given index.

### getObject

    Object getObject(int field)

  Get the object at the given index.

### setObject

    void setObject(int field,
                   Object val)

  Set the object at the given index.

### initialize

    void initialize()

  Ensure object capacity

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.